path: /build/build/nvidia-555-kernel-modules-kernel-5.10-555.42.02.package.tar.zst
dependencies: []
compilespec:
  steps:
  - eval 'mkdir -p /etc/portage/patches/x11-drivers/nvidia-kernel-modules/ || true'
    && sed -i -e 's|versionator||g' /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - anise repo disable mottainai-stable && anise i mottainai-dev
  - rm /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild -vf
    && rm /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    -vf && anise repo update && anise upgrade -y && anise i -y x11-drivers-555/nvidia-drivers
    && anise cleanup && emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-555.42.02
    -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-555.42.02
  - |
    eval 'rm -rf /nvidia-555-kernel-modules || true' && mkdir /nvidia-555-kernel-modules && \
    luet-portage --dir /nvidia-555-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-555-kernel-modules/lib/modules/nvidia/555.42.02/5.10.223-macaroni/video/*.ko
    ; do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:928145f86569bf8f087d9e603b6b0d587e7488ba51d647717ed76ea5c6b38bf7
  package:
    name: nvidia-555-kernel-modules
    version: 555.42.02
    category: kernel-5.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2024-08-21 09:04:36.267453348 +0000 UTC m=+630.024421440
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.223
      original.package.slot: "555"
      original.package.version: 555.42.02
    treedir: /build/packages
  package_dir: /nvidia-555-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 04a31d5393537d10135f6b08f16a43fd05c20d80bbbe2e6b3d56a57d0090eaed
compressiontype: zstd
files:
- lib/modules/nvidia/555.42.02/5.10.223-macaroni/video/nvidia-drm.ko.xz
- lib/modules/nvidia/555.42.02/5.10.223-macaroni/video/nvidia-modeset.ko.xz
- lib/modules/nvidia/555.42.02/5.10.223-macaroni/video/nvidia-uvm.ko.xz
- lib/modules/nvidia/555.42.02/5.10.223-macaroni/video/nvidia.ko.xz
package_cacheimage: ""
runtime:
  name: nvidia-555-kernel-modules
  version: 555.42.02
  category: kernel-5.10
  requires:
  - name: nvidia-drivers-common
    version: '>=0'
    category: kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.223
    original.package.slot: "555"
    original.package.version: 555.42.02
